Skip to content
GridRouterhome

Search

Search providers, capabilities and pages

Docs
API referenceWaterfalls

Waterfall builder catalog

GET
/v1/waterfalls/catalog

Every capability with its inputs, normalized output fields, and the endpoints a waterfall can use: price, quality, fill, p50 and rate limits.

Authorization

bearer
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/waterfalls/catalog"
{  "items": [    {      "id": "string",      "name": "string",      "category": "string",      "summary": "string",      "inputs": [        {          "name": "string",          "description": "string",          "required": true        }      ],      "outputs": [        "string"      ],      "endpoints": [        {          "id": "string",          "provider": "string",          "provider_name": "string",          "name": "string",          "mode": "string",          "pricing_model": "string",          "quote_micro": 0,          "sandbox": true,          "verified": true,          "supported": true,          "p50_ms": 0,          "fill": 0,          "score": 0,          "samples": 0,          "rps": 0,          "burst": 0        }      ]    }  ]}